<?php

namespace WPEP\ContentType\Video;

class API {

  public static function template_single_content( $request_data ) {
    if( !isset( $request_data['video_id'] ) )
      return false;

    $video_post = get_post( intval( $request_data['video_id'] ) );

    if( $video_post === null )
      return false;

    return [
      'status'        => 'ok',
      'video_id'      => $video_post->ID,
      'video_content' => wpep_content_type()->contentTypes[ WPEP_POST_TYPE_VIDEO ]->get_single_video_content( $video_post )
    ];
  }

}