<?php

namespace WPEP;

$course_user_data_table_name = wpep_wpdb()->prefix . WPEP_DB_TABLE_COURSE_USER_DATA;

$sql = "CREATE TABLE IF NOT EXISTS `$course_user_data_table_name` (
          `id`         INT NOT NULL AUTO_INCREMENT,
          `user_id`    INT NOT NULL DEFAULT 0,
          `course_id`  INT NOT NULL DEFAULT 0,
          `section_id` INT NOT NULL DEFAULT 0,
          `lesson_id`  INT NOT NULL DEFAULT 0,
          `key`       VARCHAR(100) NOT NULL DEFAULT '',
          `value`     VARCHAR(500) NOT NULL,
          PRIMARY KEY ( `id` ),
          INDEX `" . $course_user_data_table_name . "_user_id` (`user_id`),
          INDEX `" . $course_user_data_table_name . "_course_id` (`course_id`),
          INDEX `" . $course_user_data_table_name . "_section_id` (`section_id`),
          INDEX `" . $course_user_data_table_name . "_lesson_id` (`lesson_id`)
        )
        ENGINE = InnoDB;";

wpep_dbDelta( $sql );

echo '<p>' . __( "Created the wpep_user_data, Execution Plan Learning Paths are now available" ) . '</p>';