<?php

namespace WPEP;

$charset_collate = wpep_wpdb()->get_charset_collate();

$discussion_comment_data_table = wpep_wpdb()->prefix . WPEP_DB_TABLE_DISCUSSION_COMMENT_DATA;

$sql = 'CREATE TABLE IF NOT EXISTS `' . $discussion_comment_data_table . '` (
              `id`            INT NOT NULL AUTO_INCREMENT,
              `discussion_comment_id` INT NOT NULL DEFAULT 0,
              `user_id`       INT NOT NULL DEFAULT 0,
              `key`           VARCHAR(100) NOT NULL DEFAULT "",
              `value`         VARCHAR(500) NOT NULL,
              PRIMARY KEY (id),
              INDEX `' . $discussion_comment_data_table . '_discussion_comment_id` ( `discussion_comment_id` ),
              INDEX `' . $discussion_comment_data_table . '_user_id` ( `user_id` )
          ) ' . $charset_collate;

wpep_dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $discussion_comment_data_table ) . '</p>';
