<?php $discussion_user_status = ( ( isset( $current_discussion_id ) ? $current_discussion_id : 0 ) == $discussion->id
  ? 'current'
  : ( isset( $discussion->user_data[ WPEP_DISCUSSION_USER_DATA_LAST_VIEW ] )
    && strtotime( $discussion->last_activity ) > $discussion->user_data[ WPEP_DISCUSSION_USER_DATA_LAST_VIEW ]
    ? 'unread' : 'read'
  )
);

$discussion_icon_data = wpep_controller()->discussion->get( $discussion->namespace )->get_discussion_icon_data( $discussion );
?>
<div data-wpep-discussion-direct-url-my-discussion="preview_box"
     data-wpep-discussion-id="<?php echo $discussion->id; ?>"
     data-wpep-discussion-namespace="<?php echo $discussion->namespace; ?>"
     data-wpep-discussion-post-id="<?php echo $discussion->post_id; ?>"
     data-wpep-discussion-user-status="<?php echo $discussion_user_status; ?>"
>
  <a data-wpep-discussion-direct-url-my-discussion-operation="switch"
     href="<?php echo wpep_discussion_direct_url_link( $discussion->identifier ); ?>">
    <div data-wpep-discussion-preview-box-information-container="visual">
      <?php if( $discussion_icon_data[ 'type' ] === 'image' ) : ?>
        <img src="<?php echo $discussion_icon_data[ 'image' ]; ?>" alt="<?php echo $discussion->namespace; ?>"/>
      <?php else : ?>
        <?php echo $discussion_icon_data[ 'icon' ]; ?>
      <?php endif; ?>
    </div>
    <div data-wpep-discussion-preview-box-information-container="general">
      <p data-wpep-discussion-preview-box-information="name">
        <?php echo wpep_controller()->discussion->get( $discussion->namespace )->get_discussion_name( $discussion ); ?>
      </p>
      <div data-wpep-discussion-preview-box-information="last_activity">
        <?php echo wpep_format_date_with_time( $discussion->last_activity ); ?>
      </div>
    </div>
  </a>
</div>