<?php

namespace WPEP\Entity\CourseType;

class ExecutionPlanUnfolded extends ExecutionPlan {

  public $has_next_suggestions = true;
  public $has_next_suggestions_after_completion = false;

  public function __construct( $current_course_id ) {
    $this->_skeleton_init( $current_course_id );

    $this->show_quick_continue = false;
    $this->load_lesson_content_on_demand = false;
  }

  public function get_alias() {
    return WPEP_COURSE_TYPE_EXECUTION_PLAN_UNFOLDED;
  }
  
}