<?php

define( "WPEP_PLUGIN_NAME", 'eLearnCommerce' );
define( "WPEP_MENU_NAME", 'eLearnCommerce' );
define( "WPEP_SHORT_CODE_PREFIX", "ec_" );
define( "WPEP_MENU_PREFIX", "ec_" );

if( !defined( 'WPEP_ADMIN_BASE_MENU_SLUG' ) )
  define( "WPEP_ADMIN_BASE_MENU_SLUG", 'wpep' );

if( !defined( 'WPEP_STORE_LINK' ) )
  define( "WPEP_STORE_LINK", 'https://codestore.codeiscode.com/?bundle-api-enabled=1' );

if( !defined( 'WPEP_STORE_PRODUCTS_RESPONSE_TRANSIENT' ) )
  define( "WPEP_STORE_PRODUCTS_RESPONSE_TRANSIENT", 'wpep_store_products' );

if( !defined( 'WPEP_STORE_PRODUCTS_LINK' ) )
  define( "WPEP_STORE_PRODUCTS_LINK", 'https://codestore.codeiscode.com/edd-api/products/?number=100' );

if( !defined( 'WPEP_LEARNING_CENTER_KB_EMBED_JAVASCRIPT' ) )
  define( "WPEP_LEARNING_CENTER_KB_EMBED_JAVASCRIPT", 'https://academy.elearncommerce.com/wp-content/plugins/wpep/assets/front/embed-support-min.js' );

if( !defined( 'WPEP_LEARNING_CENTER_KB_EMBED_INDEX_PAGE' ) )
  define( "WPEP_LEARNING_CENTER_KB_EMBED_INDEX_PAGE", 'https://academy.elearncommerce.com/elearncommerce-index-page/?wpep-embed=true' );

if( !defined( 'WPEP_LEARNING_CENTER_KB_EMBED_NEWS' ) )
  define( "WPEP_LEARNING_CENTER_KB_EMBED_NEWS", 'https://academy.elearncommerce.com/elearncommerce-news/?wpep-embed=true' );

if( !defined( 'WPEP_WALK_TROUGHS_JSON_LINK' ) )
  define( "WPEP_WALK_TROUGHS_JSON_LINK", 'https://codestore.codeiscode.com/wpep-walk-troughs.json' );

if( !defined( 'WPEP_WALK_TROUGHS_ENABLE_TRANSIENT' ) )
  define( "WPEP_WALK_TROUGHS_ENABLE_TRANSIENT", true );

if( !defined( 'WPEP_PLACEHOLDER_IMAGE' ) )
  define( "WPEP_PLACEHOLDER_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/placeholder-image.jpg' );

if( !defined( 'WPEP_PROFILE_PLACEHOLDER_IMAGE' ) )
  define( "WPEP_PROFILE_PLACEHOLDER_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/user-profile-image.png' );

if( !defined( 'WPEP_PROFILE_COVER_PLACEHOLDER_IMAGE' ) )
  define( "WPEP_PROFILE_COVER_PLACEHOLDER_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/user-cover-image.jpg' );

if( !defined( 'WPEP_RESOURCE_FONT_ZIP' ) )
  define( "WPEP_RESOURCE_FONT_ZIP", 'https://codestore.codeiscode.com/resources/ttf-fonts.zip' );

if( !defined( 'WPEP_BASE_FONT_SIZE' ) )
  define( "WPEP_BASE_FONT_SIZE", 14 );

if( !defined( 'WPEP_ITEMS_PER_ROW_DYNAMIC' ) )
  define( "WPEP_ITEMS_PER_ROW_DYNAMIC", -1 );

if( !defined( 'WPEP_MEMBER_MAGNET_TYPE_STANDARD' ) )
  define( "WPEP_MEMBER_MAGNET_TYPE_STANDARD", 'standard' );

if( !defined( 'WPEP_MEMBER_MAGNET_TYPE_QUICK' ) )
  define( "WPEP_MEMBER_MAGNET_TYPE_QUICK", 'quick' );

if( !defined( 'WPEP_USER_DIRECTORY_HAS_SEARCH_BAR' ) )
  define( "WPEP_USER_DIRECTORY_HAS_SEARCH_BAR", 1 );

if( !defined( 'WPEP_USER_DIRECTORY_PER_PAGE' ) )
  define( "WPEP_USER_DIRECTORY_PER_PAGE", 10 );

if( !defined( 'WPEP_SYSTEM_CACHE_NAMESPACE_SETTINGS_SEARCH' ) )
  define( "WPEP_SYSTEM_CACHE_NAMESPACE_SETTINGS_SEARCH", 'settings_search' );

if( !defined( 'WPEP_ACTION_AND_FILTER_PRIORITY_LAST' ) )
  define( "WPEP_ACTION_AND_FILTER_PRIORITY_LAST", 1000 );

if( !defined( 'WPEP_API_METHOD_TYPE_PUBLIC' ) )
  define( "WPEP_API_METHOD_TYPE_PUBLIC", 'public' );

if( !defined( 'WPEP_API_METHOD_TYPE_PRIVATE' ) )
  define( "WPEP_API_METHOD_TYPE_PRIVATE", 'private' );

if( !defined( 'WPEP_API_METHOD_TYPE_ADMIN' ) )
  define( "WPEP_API_METHOD_TYPE_ADMIN", 'admin' );

require_once( WPEP_BASE_PATH . '/lib/definitions/action-tracking.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/post-types.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/cron.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/database-tables.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/capabilities.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/discussions.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/email.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/learning-journey.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/primary-content.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/user.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/user-roles.php' );
