<?php

if( count( get_posts( [
    'post_type'   => WPEP_POST_TYPE_COURSE,
    'numberposts' => -1,
    'fields'      => 'ids',
    'meta_key'    => 'wpep_progress_repeat_enabled'
  ] ) ) > 0 ) {
  wpep_set_setting( 'enable-progress-repeat-support', 1 );
  echo '<p>' . __( "Progress Repeat is now part of the base plugin, status : Enabled", "wpep" ). '</p>';
} else {
  echo '<p>' . __( "Progress Repeat is now part of the base plugin, status : Disabled", "wpep" ) . '</p>';
}

if( is_plugin_active( 'wpep-progress-repeat/wpep-progress-repeat.php' ) ) {

  deactivate_plugins( [ 'wpep-progress-repeat/wpep-progress-repeat.php' ] );

  echo '<p>' . __( "Progress Repeat AddOn has been deactivated", "wpep" ) . '</p>';

  try {
    delete_plugins( [ 'wpep-progress-repeat/wpep-progress-repeat.php' ] );

    echo '<p>' . __( "Progress Repeat AddOn has been deleted", "wpep" ) . '</p>';
  } catch ( \Exception $e ) {
    echo '<p>' . __( "Progress Repeat AddOn has not been deleted, please remove it manually", "wpep" ) . '</p>';
  }
}
