<?php

// @todo This file is call it, a big mess, I've planned a big refactoring.
// I've ended up with this entire file that has functionality attached just to itself, in the future I plan to not use this at all, avoid extending it. - Robert

function wpep_administration_platform_health_table( $row_list, $table_title = '', $tab_operation = false, $type = "service", $displayed_status_types = [ 'danger', 'warning' ] ) {
  $row_list_status_count = [
    'success' => 0,
    'info'    => 0
  ];

  foreach( $row_list as $row_item ) {
    if( !isset( $row_item['status'] ) || $row_item['status'] === '' )
      continue;

    if( !isset( $row_list_status_count[ $row_item['status'] ] ) )
      continue;

    $row_list_status_count[ $row_item['status'] ]++;
  }

  $tab_operation_append = '';

  foreach( $row_list_status_count as $status => $status_count )
    if( $status_count != 0 && !in_array( $status, $displayed_status_types ) )
      $tab_operation_append .= '<span data-wpep-row-highlight-toggle="' . $status . '">' . $status_count . '</span>';

  if( $tab_operation_append != '' )
    $tab_operation_append = '<div class="wpep-row-highlight-toggle-container">' . $tab_operation_append . '</div>';

  if( $tab_operation === false )
    $tab_operation = '';

  $tab_operation .= $tab_operation_append;

  echo '<table class="wp-list-table widefat">';
  echo    '<thead>';
  echo      '<tr>';
  echo        '<td>' . $table_title . '</td>';
  echo        '<td class="wpep-row-button-container">' . $tab_operation . '</td>';
  echo      '</tr>';
  echo    '</thead>';
  echo    '<tbody>';

  $admin_url = admin_url();

  foreach( $row_list as $service_key => $service_information ) {
    $attributes = 'data-wpep-platform-health-report-row="' . $service_key . '"';

    $class = 'wpep-row-highlight';

    if( isset( $service_information['status'] ) && $service_information['status'] !== '' ) {
      $class .= ' wpep-row-highlight-' . $service_information['status'];

      if( !in_array( $service_information['status'], $displayed_status_types ) )
        $attributes .= ' style="display:none;"';
    }

    echo      '<tr ' . $attributes . ' class="' . $class . '">';

    if( $type === 'license' ) {
      $license_preview = ( strlen( $service_information[ 'license' ] ) > 15 ? '***************' . substr( $service_information[ 'license' ], 15 ) : $service_information[ 'license' ] );

      echo '<td class="wpep-row-highlight-icon">' . $service_information[ 'name' ] . '</td>';
      if( $service_information[ 'is_bundled_license' ] ) {
        echo '<td><input type="text" style="width:100%;" name="wpep_license_management[' . $service_information[ 'alias'] . ']" placeholder="' . $license_preview . '" disabled="disabled"/></td>';
      } else {
        echo '<td><input type="text" style="width:100%;" name="wpep_license_management[' . $service_information[ 'alias'] . ']" placeholder="' . $license_preview . '"/></td>';
      }
    } elseif( isset( $service_information[ 'operation' ] ) ) {
      echo        '<td class="wpep-row-highlight-icon">';
      echo            $service_information[ 'title' ];
      echo        '</td>';
      echo        '<td class="wpep-row-button-container">';
      echo            '<a class="button button-primary" ';
      if( is_string( $service_information[ 'operation' ] ) ) {
        echo ' href="' . $service_information[ 'operation' ]  . '"';
        if( strpos( $service_information[ 'operation' ], $admin_url ) !== 0 ) {
          echo          ' target="_blank"';
        }
      } else {
        echo ' data-switch-sync-step="' . $type . '__' . $service_key . '"';
      }
      echo            '>' . ( isset( $service_information[ 'operation_title' ] ) ? $service_information[ 'operation_title' ] : 'Fix' ) . '</a>';
      echo        '</td>';
    } elseif( isset( $service_information[ 'title' ] ) ) {
      echo '<td class="wpep-row-highlight-icon" colspan="2">' . $service_information[ 'title' ] . '</td>';
    } else {
      $value = ( is_array( $service_information ) ? ( isset( $service_information[ 'value' ] ) ? $service_information[ 'value' ] : '???' ) : $service_information );

      if( isset( $service_information[ 'type' ] ) && $service_information[ 'type' ] == 'storage_size' )
        $value = size_format( $value );

      echo '<td class="wpep-row-highlight-icon">' . $service_key . '</td>';
      echo '<td>' . $value . '</td>';
    }

    echo      '</tr>';
  }

  echo    '</tbody>';
  echo '</table>';
}

$all_valid_licenses = wpep_controller()->licenseLibrary->has_valid_licenses();

$license_library_list = wpep_controller()->licenseLibrary->get_license_list();

if( !wpep_controller()->adminController->license->is_valid_license() )
  $license_library_list = [ wpep_controller()->adminController->license->get_plugin_alias() => $license_library_list[ wpep_controller()->adminController->license->get_plugin_alias() ] ];

if( !$all_valid_licenses ) {
  wpep_administration_platform_health_table(
    $license_library_list,
    __( "License Management", "wpep" ),
    '<input type="submit" class="wpep-button wpep-button-primary" value="Update License" data-switch-sync-step="update_licenses"/>',
    'license'
  );

  echo '<br/>';
}

wpep_administration_platform_health_table(
  wpep_platform_health()->service->get_report_data(),
  __( "Service Report", "wpep" ),
  '<a class="wpep-button wpep-button-primary" data-wpep-ajax-content-export="wpep/system/platform-health/export-plain">' . __( "Export Report", "wpep" ) . '</a>',
  'service',
  [ 'danger', 'warning', 'info' ]
);

echo '<br/>';

wpep_administration_platform_health_table(
  wpep_platform_health()->maintenance->get_report_data(),
  __( "Maintenance", "wpep" ),
  false,
  'maintenance'
);

if( $all_valid_licenses ) {
  echo '<br/>';
  wpep_administration_platform_health_table(
    $license_library_list,
    __( "License Management", "wpep" ),
    '<input type="submit" class="wpep-button wpep-button-primary" value="Update License" data-switch-sync-step="update_licenses"/>',
    'license'
  );
}
?>

<?php foreach( wpep_platform_health()->report->get_dashboard() as $report_key => $report_group ) :?>
  <br/>
  <?php
  wpep_administration_platform_health_table(
    $report_group[ 'entries' ],
    $report_group['name'],
    false,
    'information'
  );
  ?>
<?php endforeach; ?>

<div style="display:none"><a data-switch-sync-step="dummy"></a></div>
