<?php if( !empty( $data_map_management ) ) : ?>
  <form data-wpep-form="search_settings_results"
        data-wpep-form-action="wpep/system/setting/save"
        novalidate="novalidate"
        method="post">

    <div class="wpep-search-result-items-container">
      <?php $settings_instance->display_table_start(); ?>

      <?php wpep_template_load( 'admin/settings/management-field-map.php', [
        'settings_instance' => $settings_instance,
        'field_map'         => $data_map_management[ 'field_map' ],
      ] ); ?>

      <?php $settings_instance->display_table_end(); ?>
    </div>

    <input type="submit" value="<?php echo __( "Save Changes", "wpep" ); ?>" class="wpep-button wpep-button-primary" id="submit" name="wpep_settings_save">
    <div class="clearfix wpep-clearfix"></div>
  </form>
<?php else : ?>
  <div class="wpep-notification wpep-notification-info">
    <p><?php echo __( "No results found", "wpep" ); ?>.
  </div>
<?php endif; ?>
