<?php
  $title       = get_post_meta( $embed_post_id, 'wpep_embed_title', true );
  $description = get_post_meta( $embed_post_id, 'wpep_embed_content', true );
  $button_text = get_post_meta( $embed_post_id, 'wpep_embed_button', true );

  if( $title === '' )
    $title       = wpep_get_setting_translated( 'user-content-embed-box-title' );

  if( $description === '' )
    $description = wpep_get_setting_translated( 'user-content-embed-box-description' );

  if( $button_text === '' )
    $button_text = wpep_get_setting_translated( 'user-content-embed-box-button' );
?>
<div class="wpep-hero-section wpep-user-engagement-embed-section">
  <h2><?php echo $title; ?></h2>

  <div class="wpep-content-from-editor">
    <?php echo wpep_format_content( $description ); ?>
  </div>

  <p class="wpep-link-container wpep-link-container-center">
    <?php echo wpep_get_external_page_embed_copy_button(
      $embed_post_id,
      false,
      'wpep-button wpep-button-primary',
      $button_text,
      wpep_get_setting_translated( 'user-content-embed-box-button-clicked' )
    );?>
   </p>
</div>