<?php
/**
 * Course Grid Page template
 *
 * @package wpextplan
 */

if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();

add_filter( 'wpep_primary_content_grid_courses_progress_bars', '__return_false', 500 );

?>

<?php do_action( 'wpep_before_main_content' ); ?>

<?php if( isset( wpep_content_type()->libraryContentTypes[WPEP_POST_TYPE_COURSE] )
    && method_exists( wpep_content_type()->libraryContentTypes[WPEP_POST_TYPE_COURSE], 'get_grid_item_content' ) ) : ?>

<?php $post_list = wpep_content_type()->libraryContentTypes[WPEP_POST_TYPE_COURSE]->library_get_grid_post_list(); ?>

  <?php if( !empty( $post_list ) ) : ?>
    <div class="wpep-3d-carousel-container-wrapper">
      <div class="<?php echo apply_filters( 'wpep_primary_content_course_grid_container_class', 'wpep-3d-carousel-container' ); ?>">
        <div class="wpep-3d-carousel-perspective-container">
          <?php foreach( $post_list as $post_item ) : ?>
            <div class="wpep-3d-carousel-item">
              <?php echo wpep_content_type()->libraryContentTypes[WPEP_POST_TYPE_COURSE]->get_grid_item_content( $post_item ); ?>
            </div>
          <?php endforeach; ?>
        </div>
      </div>
    </div>

  <?php endif; ?>

<?php endif; ?>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php

remove_filter( 'wpep_primary_content_grid_courses_progress_bars', '__return_false', 500 );

if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();

?>
